program Project15;

{$APPTYPE CONSOLE}

{$R *.res}

uses
  System.SysUtils,
  VCL.FlexCel.Core,
  FlexCel.XlsAdapter;

var
  xls: TExcelFile;
  XF: integer;
  Fmt: TFlxFormat;
  Cell: TCellValue;
begin
  xls := TXlsFile.Create(true);
  try
    xls.Open('..\..\test.xlsx');
    XF := -1;
    Cell := xls.GetCellValue(1, 1, XF);
    Fmt := xls.GetFormat(XF);

    WriteLn('The font at cell A1 is ' + Fmt.Font.Name);
    WriteLn('The background color of cell A1 is #' + IntToHex(Fmt.FillPattern.FgColor.ToColor(xls).Value, 8));

    if Cell.IsNumber then
    begin
      WriteLn('The value at cell A1 is ', FloatToStr(Cell.AsNumber));
    end;

  finally
    xls.Free;
  end;

  Readln;
end.
